Name:		lv2
Version:	1.18.10
Release:	%mkrel 5
Summary:	Audio Plugin Standard
Group:		System/Libraries
# lv2specgen template.html is CC-AT-SA
License:	ISC License (ISC)
URL:		https://lv2plug.in/
Source0:	https://lv2plug.in/spec/lv2-%{version}.tar.xz

BuildRequires:	pkgconfig(sndfile) >= 1.0.0
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-lxml
BuildRequires:	python3-markdown
BuildRequires:	python3-pygments
BuildRequires:	python3-rdflib
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	doxygen
BuildRequires:	meson
BuildRequires:	asciidoc
BuildRequires:	codespell
BuildRequires:	pkgconfig(sord-0)
BuildRequires:	pkgconfig(serd-0)
BuildRequires:	serd
BuildRequires:	sord

%description
LV2 is a standard for plugins and matching host applications, mainly
targeted at audio processing and generation.

There are a large number of open source and free software synthesis
packages in use or development at this time. This API ('LV2') attempts
to give programmers the ability to write simple 'plugin' audio
processors in C/C++ and link them dynamically ('plug') into a range of
these packages ('hosts').  It should be possible for any host and any
plugin to communicate completely through this interface.

LV2 is a successor to LADSPA, created to address the limitations of
LADSPA which many hosts have outgrown.

%package	devel
Summary:	API for the LV2 Audio Plugin Standard
Group:		Development/C

Requires:	%{name} = %{version}-%{release}

%description	devel
lv2-devel contains the lv2.h header file and headers for all of the
LV2 specification extensions and bundles.

Definitive technical documentation on LV2 plug-ins for both the host
and plug-in is contained within copious comments within the lv2.h
header file.


%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%pretrans devel -p <lua>
-- Define the path to the symlink being replaced below.
path = "%{_includedir}/lv2"
path2 = path .. "/atom"
st = posix.stat(path2)
if st and st.type == "link" then
  os.execute("rm -rf " .. path)
end

%files
%doc %{_docdir}/%{name}/
%{_libdir}/%{name}/
%{_bindir}/lv2specgen.py
%{_bindir}/lv2_validate
%{_datadir}/lv2specgen/

%files devel
%{_includedir}/%{name}.h
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.18.10-5.mga10
+ Revision: 2216780
- Mageia 10 Mass Rebuild
+ wally <wally>
- tag docs as such
+ daviddavid <daviddavid>
- own lib and doc dir

* Sun Dec 11 2022 wally <wally> 1.18.10-4.mga9
+ Revision: 1920600
- fix symlink <-> directory conflicts with %%pretrans scriptlet

* Sun Dec 11 2022 wally <wally> 1.18.10-3.mga9
+ Revision: 1920578
- enable mistakenly disabled debug pkgs
- drop unneeded obsoletes

* Sun Dec 11 2022 philippedidier <philippedidier> 1.18.10-2.mga9
+ Revision: 1920561
- new version 1.18.10 - built with meson instead of waf

* Fri Apr 01 2022 umeabot <umeabot> 1.18.2-2.mga9
+ Revision: 1837889
- Mageia 9 Mass Rebuild

* Tue Jul 27 2021 barjac <barjac> 1.18.2-1.mga9
+ Revision: 1737980
- new version 1.18.2

* Wed Jul 01 2020 daviddavid <daviddavid> 1.18.0-2.mga8
+ Revision: 1600974
- compile with system waf (from archlinux)

* Wed Jul 01 2020 zezinho <zezinho> 1.18.0-1.mga8
+ Revision: 1600924
- new version 1.18.0

* Sat Feb 15 2020 umeabot <umeabot> 1.16.0-2.mga8
+ Revision: 1526942
- Mageia 8 Mass Rebuild

* Sat Jul 06 2019 daviddavid <daviddavid> 1.16.0-1.mga8
+ Revision: 1419088
- new version: 1.16.0

* Sun Sep 23 2018 umeabot <umeabot> 1.14.0-2.mga7
+ Revision: 1299389
- Mageia 7 Mass Rebuild

* Sun Jan 01 2017 luigiwalser <luigiwalser> 1.14.0-1.mga6
+ Revision: 1079374
- 1.14.0

* Mon Feb 15 2016 umeabot <umeabot> 1.12.0-2.mga6
+ Revision: 961301
- Mageia 6 Mass Rebuild

* Fri Oct 23 2015 barjac <barjac> 1.12.0-1.mga6
+ Revision: 894696
- new version 1.12.0
- dont build docs and remove BRs for that
- build debuginfo package

* Tue Oct 20 2015 daviddavid <daviddavid> 1.10.0-4.mga6
+ Revision: 893001
- add more docs to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 1.10.0-3.mga5
+ Revision: 745699
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.10.0-2.mga5
+ Revision: 682055
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 barjac <barjac> 1.10.0-1.mga5
+ Revision: 669681
- new version 1.10.0

* Thu May 08 2014 barjac <barjac> 1.8.0-1.mga5
+ Revision: 621133
- new version 1.8.0.

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 533088
- Mageia 4 Mass Rebuild

* Sat Aug 24 2013 barjac <barjac> 1.6.0-1.mga4
+ Revision: 471427
- new version 1.6.0

* Fri Jun 21 2013 philippedidier <philippedidier> 1.4.0-1.mga4
+ Revision: 445308
- correct license -correct source permissions
- new version 1.4.0

* Sat Jan 12 2013 umeabot <umeabot> 1.2.0-2.mga3
+ Revision: 359143
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 24 2012 barjac <barjac> 1.2.0-1.mga3
+ Revision: 321464
- new version
- Import from Mandriva


* Mon Apr 23 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.0.0-1
+ Revision: 792871
- imported package lv2

